Name: icecream-monitor
Version: 1.0
Release: %mkrel 4
Epoch: 3
Summary: GUI Monitor for icecream distributed compiled system
License: GPL
Url: http://en.opensuse.org/Icecream
Group: Graphical desktop/KDE
Source0: ftp://ftp.suse.com/pub/projects/icecream/icemon-kde3.tar.bz2
Patch0: icemon-kde3-stdlib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel
BuildRequires: icecream-devel >= 0.7.8
BuildRequires: kde3-macros
Obsoletes: icecream-doc

%description
GUI Monitor for icecream distributed compiled system

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root,-)
%_kde3_bindir/*
%_kde3_libdir/kde3/*
%_kde3_datadir/applications/kde/icemon.desktop
%_kde3_datadir/apps/icemon
%_kde3_datadir/apps/kicker/applets/icemonapplet.desktop
%_kde3_docdir/HTML/*/icemon

#-----------------------------------------------------------------

%prep
%setup -q -n icemon-kde3
%patch0 -p1

%build
%configure_kde3 

%make

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

%clean
rm -rf %buildroot





%changelog
* Sat Nov 08 2008 Colin Guthrie <cguthrie@mandriva.org> 3:1.0-4mdv2009.1
+ Revision: 301048
- Patch to find getenv()
- Rebuild for libxcb

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 05 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.0-2mdv2009.0
+ Revision: 201598
- Move to new kde3 path

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3:1.0-1mdv2008.1
+ Revision: 140756
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jun 13 2007 Adam Williamson <awilliamson@mandriva.com> 3:1.0-1mdv2008.0
+ Revision: 38726
- new release 1.0, don't own /usr/lib/kde3


* Mon Sep 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-04 18:52:57 (59878)
- Old package based on icecream had 2 as epoch number, so needed raise epoch to 3

* Mon Sep 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-04 15:51:09 (59809)
- import icecream-monitor-0.1-1mdv2007.0

* Thu Aug 03 2006 Helio Chissini de Castro <helio@mandriva.com>
- First separated package from main icecream

